package com.yeejoin.equipmanage.common.enums;

public enum PressurePumpMessageEnum {

    MESSAGE_LEVEL_YB("YB", "%s内，启停间隔较小",  "","【%s】- 【%s】 -  %s内，设备启停频繁，请及时查看处理"),
    MESSAGE_LEVEL_YZ("YZ", "%s内，启停间隔较小", "", "【%s】- 【%s】 -  %s内，设备启停频繁，请及时查看处理"),
    MESSAGE_LEVEL_QT_WJ("QT_WJ", "%s内，设备启停频繁", "类型：漏水提醒 ；设备位置：【稳压泵设备位置】； 设备名称：【稳压泵设备名称】 ； 时间：系统推送时间", "【%s】- 【%s】 - %s内，设备启停频繁，可能存在漏水，请及时查看处理"),
    MESSAGE_LEVEL_QT_WJ_YXSC("WJ_YXSC", "运行时长超过%s，存在漏水可能", "类型：漏水提醒 ；设备位置：【稳压泵设备位置】； 设备名称：【稳压泵设备名称】 ； 时间：系统推送时间", "【%s】- 【%s】 - 运行时长超过%s，存在漏水可能，请及时查看处理");
    private String code;
    private String allMessage;
    private String marqueeMessage;
    private String recordMessage;

    private PressurePumpMessageEnum(String code, String allMessage, String marqueeMessage,String recordMessage) {
        this.code = code;
        this.allMessage = allMessage;
        this.marqueeMessage = marqueeMessage;
        this.recordMessage = recordMessage;
    }

    public String getCode() {
        return code;
    }
    public String getAllMessage() {
        return allMessage;
    }
    public String getMarqueeMessage() {
        return marqueeMessage;
    }
    public String getRecordMessage() {
        return recordMessage;
    }


    public static PressurePumpMessageEnum getByCode(String code) {
        for (PressurePumpMessageEnum l : PressurePumpMessageEnum.values()) {
            if (code.equals(l.getCode())) {
                return l;
            }
        }
        return null;
    }
}
